REM Script de nettoyage de W10 
REM V2	: Ajout d'une popup de warning pour le répertoire de Telechargements et plus d'infos dans les actions
REM V2	: Ajout egalement de cleanmgr en mode AUTOCLEAN, pour virer les anciennes version de Windows (migration)
REM V3	: Ajout de commandes système de nettoyage de ce putain de répertoire WinSxS !!
echo Script de nettoyage disque automatique, Prez, 2019, V3 > sortie.txt

REM Popup d'avertissement
@echo off
Msg /W * "Attention ce script va effacer votre repertoire Telechargements. Si cela ne vous convient pas, fermez la fenetre de lancement." 
start "" /wait cmd /c "echo Attention ce script va effacer votre repertoire Telechargements. Si cela ne vous convient pas, fermez la fenetre de lancement.&echo(&pause"

@echo on
echo . >> sortie.txt
echo Avant script : >> sortie.txt
fsutil volume diskfree c: >> sortie.txt
echo . >> sortie.txt

REM Nettoyage des fichiers des pilotes non utilises
@echo off
for /L %%N in (1,1,400) do (
  pnputil /d OEM%%N.INF
)

REM Nettoyage des fichiers de migration Windows et mises a jour automatiques
del /F /S /Q C:\Windows\SoftwareDistribution\Download\*.*

REM Nettoyage de fichiers temporaires et telechargements
del /F /S /Q C:\Windows\Temp\*.*
del /F /S /Q %HOMEPATH%\appdata\Local\Temp\*.*

REM Effacement du cache de Windows Update
del /F /S /Q C:\Windows\SoftwareDistribution\Download\*.*

REM Effacement du repertoire Telechargements de l'utilisateur
del /F /S /Q  %HOMEPATH%\Downloads\*.*

REM Nettoyage automatique du disque en mode automatique par Windows 
cleanmgr /verylowdisk
cleanmgr /AUTOCLEAN

REM Enleve le fichier hiberfyl.sys present sur C: a l'installation de Windows (inutile pour les pc fixes)
powercfg.exe /hibernate off

REM Nettoyage des fichiers dans WinSxS !
Dism.exe /online /Cleanup-Image /StartComponentCleanup
Dism.exe /online /Cleanup-Image /StartComponentCleanup /ResetBase
Dism.exe /online /Cleanup-Image /SPSuperseded

echo . >> sortie.txt
echo Apres script : >> sortie.txt
fsutil volume diskfree c: >> sortie.txt
echo . >> sortie.txt
echo On dit merci Prez, et soutenez MO5.COM ! https://fr.tipeee.com/association-mo5-com ! :) >> sortie.txt

REM Affichage du resultat du nettoyage
notepad.exe sortie.txt